//MOD
//LIST OF COMMANDS:
//muteAll <Name>
//Talk <name>
//raiseHand
function muteAll()
{
    $mutedAll=!$mutedAll;
    announce("Everyone "@($mutedAll?"but the teacher ":"")@"is "@($mutedAll?"now":"no longer")@" muted");
}

package muteAll
{
    function servercmdMessageSent(%c,%m)
    {
        if(%c.isTeacher || %c.isAdmin || %c == $speaker || !$mutedAll)
            Parent::servercmdMessageSent(%c,%m);
        else
            %c.chatMessage("\c5You can not speak right now, type \c3/raiseHand\c5 to request the ability to talk");
    }
};
activatepackage(muteAll);

//The command /muteall <Here goes teachers name>
function servercmdMuteAll(%c,%n)
{
    if(%c.isAdmin && isObject(%n=findclientbyname(%n)))
    {
        if(isObject($lastTeacher))
            $lastTeacher.isTeacher=0;
        %n.isTeacher=1;
        $lastTeacher=%n;
        announce(%n.name@"\c6 has now become the teacher");
        muteAll();
    }
}

//If the teacher lets someone talk the teacher (Or admin, the teacher doesn't have to be an admin to use the command) can type in /talk <Students name>

function servercmdtalk(%c,%n)
{
   if((%c.isTeacher || %c.isAdmin)&&!strLen(%n))
    {
        announce("\c6There is no longer a speaker");
        $Speaker="";
    }
    else if((%c.isTeacher || %c.isAdmin)&&isObject(%n=findclientbyname(%n)))
    {
        announce("\c6The speaker is now \c3"@%n.name);
        $speaker=%n;
    }
}

//If someone wants to raise their hand, they type in /raisehand
//Then, it should say "<Student's name> has raised their hand" in the chat message in yellow.

function servercmdRaiseHand(%c)
{
    if(%c.lastRaise + 15000 < getSimTime())
    {
        %c.lastRaise=getSimTime();
        announce(%c.name@"\c6 has raised his/her hand");
    }
    else
    {
        %c.chatmessage("\c5You are raising your hand too fast!");
    }
}

//To prevent from spamming, they must wait 15 seconds until they can use the command again. That's pretty much all there is to it.
